CUDA & Seti - Finally!

Questions and Answers : GPU applications : CUDA & Seti - Finally!
Message board moderation

To post messages, you must log in.

1 · 2 · Next

AuthorMessage
Profile BigWaveSurfer

Send message
Joined: 29 Nov 01
Posts: 186
Credit: 36,311,381
RAC: 141
United States
Message 840879 - Posted: 17 Dec 2008, 16:12:33 UTC

I am so happy to see Seti taking advantage of CUDA now! However, I did as Seti said and downloaded the drivers only of version 2.0 of CUDA, and did the install. My current drivers were a lot newer so it asked if I wanted to 'downgrade', and I said yes. Well the computer says it uninstalled the 'new/old' drivers and will install the 'old/new' drivers upon restart. Well my computer did 3 restarts this morning with the same messages before I had to leave for work. I will give it one more shot when I go home. Anyone else running into this problem?

Should I be worried that my card is an EVGA Nvidia model? Does the card have to be Nvidia only? Mine is the 9600 GT KO.

Thanks!
ID: 840879 · Report as offensive
Profile Sergej O. S.
Volunteer tester

Send message
Joined: 29 Oct 08
Posts: 123
Credit: 44,886
RAC: 0
Russia
Message 840891 - Posted: 17 Dec 2008, 16:47:40 UTC - in response to Message 840879.  
Last modified: 17 Dec 2008, 16:53:29 UTC

I am so happy to see Seti taking advantage of CUDA now!


No, it still on Beta Test only. If you want to join volunteer testers, you need to attach to the SETI@Home Beta Test project, using this adress in your BOINC 6.4.5 (not by registering on site's page).

My current drivers were a lot newer so it asked if I wanted to 'downgrade', and I said yes.


It is recommended to uninstall previous drivers before installing new. Can be done using Control Panel/Add or remove programs.

I did as Seti said and downloaded the drivers only of version 2.0 of CUDA


IMHO, this is not neccessary. My manufacturer's customer support (Realtek) recommended me to try also 178.24 version drivers of Nvidia. Well, they worked considerably better. Get here. They are Recommended/Certified (WHQL).

Should I be worried that my card is an EVGA Nvidia model? Does the card have to be Nvidia only? Mine is the 9600 GT KO.


No, it should work.
ID: 840891 · Report as offensive
Eric Korpela Project Donor
Volunteer moderator
Project administrator
Project developer
Project scientist
Avatar

Send message
Joined: 3 Apr 99
Posts: 1382
Credit: 54,506,847
RAC: 60
United States
Message 840905 - Posted: 17 Dec 2008, 17:11:20 UTC - in response to Message 840891.  

Just a warning. There have been problems ranging from display problems to "blue screen of death" reported when using the beta CUDA 2.1 driver on some lower end graphics cards.

That's why we're recommending the CUDA 2.0 version. The downgrade was probably not necessary, but for new installations we recommend the CUDA 2.0 driver.

Eric
@SETIEric@qoto.org (Mastodon)

ID: 840905 · Report as offensive
Profile BigWaveSurfer

Send message
Joined: 29 Nov 01
Posts: 186
Credit: 36,311,381
RAC: 141
United States
Message 840931 - Posted: 17 Dec 2008, 17:43:48 UTC - in response to Message 840891.  
Last modified: 17 Dec 2008, 17:44:45 UTC

[quote]I am so happy to see Seti taking advantage of CUDA now!


No, it still on Beta Test only. If you want to join volunteer testers, you need to attach to the SETI@Home Beta Test project, using this adress in your BOINC 6.4.5 (not by registering on site's page).


It is on Seti's main page and NOT listed as a Beta, so which is right?
ID: 840931 · Report as offensive
Profile BigWaveSurfer

Send message
Joined: 29 Nov 01
Posts: 186
Credit: 36,311,381
RAC: 141
United States
Message 840935 - Posted: 17 Dec 2008, 17:46:17 UTC - in response to Message 840905.  

Just a warning. There have been problems ranging from display problems to "blue screen of death" reported when using the beta CUDA 2.1 driver on some lower end graphics cards.

That's why we're recommending the CUDA 2.0 version. The downgrade was probably not necessary, but for new installations we recommend the CUDA 2.0 driver.

Eric


When I installed the CUDA 2.0 drivers it automatically downgraded my graphics card drivers, I had no choice. Can I upgrade/reinstall the latest drivers then?

ID: 840935 · Report as offensive
Eric Korpela Project Donor
Volunteer moderator
Project administrator
Project developer
Project scientist
Avatar

Send message
Joined: 3 Apr 99
Posts: 1382
Credit: 54,506,847
RAC: 60
United States
Message 840958 - Posted: 17 Dec 2008, 18:33:42 UTC - in response to Message 840935.  


When I installed the CUDA 2.0 drivers it automatically downgraded my graphics card drivers, I had no choice. Can I upgrade/reinstall the latest drivers then?


If you need the latest drivers for some reason, then it's probably worth trying them out. We can't guarantee they will work with SETI@home. If you don't need the latest, you're probably better off sticking with the CUDA 2.0 driver.
@SETIEric@qoto.org (Mastodon)

ID: 840958 · Report as offensive
Profile Sergej O. S.
Volunteer tester

Send message
Joined: 29 Oct 08
Posts: 123
Credit: 44,886
RAC: 0
Russia
Message 840971 - Posted: 17 Dec 2008, 18:53:07 UTC - in response to Message 840931.  
Last modified: 17 Dec 2008, 18:55:30 UTC

I am so happy to see Seti taking advantage of CUDA now!


No, it still on Beta Test only. If you want to join volunteer testers, you need to attach to the SETI@Home Beta Test project, using this adress in your BOINC 6.4.5 (not by registering on site's page).


It is on Seti's main page and NOT listed as a Beta, so which is right?


If that were case you'd get your CUDA programs when you install BOINC 6.4.4 or above, I don't know what's this about.
The main page has this link, but one of links on that page isn't working: http://setiathome.berkeley.edu/gpugird.net. "gird" not "grid"? Well, "grid" not working, too.
I don't think that SETI@Home CUDA is ready. We don't have Astropulse CUDA even to test, and Echanced 6.05 (CUDA) is not working for me.

When I installed the CUDA 2.0 drivers it automatically downgraded my graphics card drivers, I had no choice. Can I upgrade/reinstall the latest drivers then?

No, I belive your latest drivers include CUDA support, too, and installing them would overwrite CUDA 2.0.
Just a note: The CUDA 2.0 is version 178.28, latest WHQL version is 180.48, CUDA 2.1 Beta version is 180.60.
ID: 840971 · Report as offensive
Profile BigWaveSurfer

Send message
Joined: 29 Nov 01
Posts: 186
Credit: 36,311,381
RAC: 141
United States
Message 840978 - Posted: 17 Dec 2008, 19:06:44 UTC - in response to Message 840971.  

I am so happy to see Seti taking advantage of CUDA now!


No, it still on Beta Test only. If you want to join volunteer testers, you need to attach to the SETI@Home Beta Test project, using this adress in your BOINC 6.4.5 (not by registering on site's page).


It is on Seti's main page and NOT listed as a Beta, so which is right?


If that were case you'd get your CUDA programs when you install BOINC 6.4.4 or above, I don't know what's this about.
The main page has this link, but one of links on that page isn't working: http://setiathome.berkeley.edu/gpugird.net. "gird" not "grid"? Well, "grid" not working, too.
I don't think that SETI@Home CUDA is ready. We don't have Astropulse CUDA even to test, and Echanced 6.05 (CUDA) is not working for me.

When I installed the CUDA 2.0 drivers it automatically downgraded my graphics card drivers, I had no choice. Can I upgrade/reinstall the latest drivers then?

No, I belive your latest drivers include CUDA support, too, and installing them would overwrite CUDA 2.0.
Just a note: The CUDA 2.0 is version 178.28, latest WHQL version is 180.48, CUDA 2.1 Beta version is 180.60.



"Download BOINC
6.4.5 for Windows (6.97 MB)
Note: if your computer is equipped with an NVIDIA Graphics Processing Unit (GPU), you may be able to use it to compute faster."

That is what is on http://boinc.berkeley.edu/download.php

If they posted it I assume that it is ready to go, or like others have said, it would be on the 'beta page'.

I will go home and check my driver version, but I know it required me to downgrade when installing CUDA 2.0. I can not remember if I was running 180 or not yet before the CUDA install. If I was running 180 then it would have put me back to 178 with the CUDA install, unless I installed the Beta 2.1 CUDA then I could have run the 180 drivers. I will give it a shot later and see, thanks!

ID: 840978 · Report as offensive
Profile Vipin Palazhi
Avatar

Send message
Joined: 29 Feb 08
Posts: 286
Credit: 167,386,578
RAC: 0
India
Message 840990 - Posted: 17 Dec 2008, 19:23:30 UTC

I was planning to get a new cruncher for my seti garden when I heard about the CUDA version. I decided to get one over the weekend. However, the fact that boinc will only use the CUDA GPU to process seti leaving the CPU cores idle has put me off. I already have a slightly overclocked Phenom 9850 Black Edition, which I dont want to be sitting idle, and I am a 'seti only' cruncher.

Will there be any options to enable the CPU usage in the future versions, or can this be done with 6.4.5?

I presently use AK optimised seti application with Crunch3r's 6.1.0 boinc application, and very comfortable with the setup. Would it be possible (maybe in the next releases) to continue to use crunch3r's boinc client, AK optimised seti application for CPU cores and CUDA optimised application for GPU? That would really be cool for people like me, as the only change needed would be modifying the app_info file and adding the new application followed by a restart. This should then run 5 WUs simultaneously.
______________


ID: 840990 · Report as offensive
W-K 666 Project Donor
Volunteer tester

Send message
Joined: 18 May 99
Posts: 19168
Credit: 40,757,560
RAC: 67
United Kingdom
Message 841004 - Posted: 17 Dec 2008, 19:37:09 UTC - in response to Message 840990.  

Crunch3r's client AFAIK is actually based on Ver5 code, despite its number, so not compatible in any shape or form.
ID: 841004 · Report as offensive
Profile Sergej O. S.
Volunteer tester

Send message
Joined: 29 Oct 08
Posts: 123
Credit: 44,886
RAC: 0
Russia
Message 841018 - Posted: 17 Dec 2008, 19:58:22 UTC - in response to Message 840891.  
Last modified: 17 Dec 2008, 20:02:45 UTC

No, it still on Beta Test only.

If they posted it I assume that it is ready to go, or like others have said, it would be on the 'beta page'.

Seems I was wrong and SETI@Home CUDA is ready?

As I understand, one can get the Enchanced 6.05 (CUDA) program by installing BOINC 6.4.5 or resetting the SETI@Home project if BOINC 6.4.5 was previosly installed (resetting project will lose all tasks, so I didn't tried it yet). Also, installing BOINC 6.4.5 will not get one to work without 8-series Nvidia card with CUDA drivers... or it will?
ID: 841018 · Report as offensive
Profile Vipin Palazhi
Avatar

Send message
Joined: 29 Feb 08
Posts: 286
Credit: 167,386,578
RAC: 0
India
Message 841020 - Posted: 17 Dec 2008, 20:00:39 UTC - in response to Message 841004.  
Last modified: 17 Dec 2008, 20:03:23 UTC

Thanks for the info.

I would still prefer having the option of running seti on both CPU and GPU as an addon application via app_info file.

So I might have to postpone the new machine or change the configuration by having a low end single core CPU with CUDA GPU supporting motherboard and 2x512MB RAM. The local vendor has offered a good price on a GTX 280 card. Any suggestions?
______________


ID: 841020 · Report as offensive
Julian Young

Send message
Joined: 14 Oct 99
Posts: 5
Credit: 1,805,547
RAC: 2
United Kingdom
Message 841036 - Posted: 17 Dec 2008, 20:14:46 UTC
Last modified: 17 Dec 2008, 20:18:50 UTC

Upgraded to latest version and getting error "Seti@home Enhanced is not available for your type of computer". Thought it may have been the Cuda install but seems to be just this version of the installer. Upgraded my laptop as well and have the same problem. Not affecting any of my older installs. Full details here if anyone else has this problem.

http://setiathome.berkeley.edu/forum_user_posts.php?userid=8565667

Can't wait to get cracking with Cuda!!

To Sergej O. S. : Cuda support detected for my 8800 GTX 768 no problem and there is a full list of supported cards on the cuda post from the front page.
ID: 841036 · Report as offensive
Profile Sergej O. S.
Volunteer tester

Send message
Joined: 29 Oct 08
Posts: 123
Credit: 44,886
RAC: 0
Russia
Message 841040 - Posted: 17 Dec 2008, 20:20:31 UTC - in response to Message 841036.  
Last modified: 17 Dec 2008, 20:22:20 UTC

Hm, then reset SETI@Home project or detach from it. This should surely delete your WUs and programs, if you want it. Attaching to it again would get new programs.

But I know nothing.
ID: 841040 · Report as offensive
Profile BigWaveSurfer

Send message
Joined: 29 Nov 01
Posts: 186
Credit: 36,311,381
RAC: 141
United States
Message 841109 - Posted: 17 Dec 2008, 22:07:00 UTC

When I installed CUDA is brought my drivers back to version

7.15.11.7808

A LOT farther than it should have, anyone have thoughts on that?
ID: 841109 · Report as offensive
Profile Sergej O. S.
Volunteer tester

Send message
Joined: 29 Oct 08
Posts: 123
Credit: 44,886
RAC: 0
Russia
Message 841118 - Posted: 17 Dec 2008, 22:15:34 UTC - in response to Message 841036.  
Last modified: 17 Dec 2008, 22:16:44 UTC

To Sergej O. S. : Cuda support detected for my 8800 GTX 768 no problem and there is a full list of supported cards on the cuda post from the front page.

BOINC CUDA support is only half of the way. You need 6.05 version of SETI@Home Enchanced (Multibeam) which is CUDA program.
But I'm afraid your particuar card might have problems, too...
ID: 841118 · Report as offensive
Julian Young

Send message
Joined: 14 Oct 99
Posts: 5
Credit: 1,805,547
RAC: 2
United Kingdom
Message 841119 - Posted: 17 Dec 2008, 22:15:56 UTC - in response to Message 841040.  

Quick update to say that one of my pcs started transfering tasks, still getting the error but its a good start :)
ID: 841119 · Report as offensive
Profile BigWaveSurfer

Send message
Joined: 29 Nov 01
Posts: 186
Credit: 36,311,381
RAC: 141
United States
Message 841144 - Posted: 17 Dec 2008, 22:51:39 UTC - in response to Message 841109.  

When I installed CUDA is brought my drivers back to version

7.15.11.7808

A LOT farther than it should have, anyone have thoughts on that?



Ok, it looks like Seti has changed their wording on their web site. Originally it said to go to Nvidia's site to the CUDA area to download drivers. That set of instructions are not missing, which is a good thing, lol.

I downloaded the latest drivers, detached from the cliet, then reattached, it downloaded the lastest software it is running fine now.
ID: 841144 · Report as offensive
Julian Young

Send message
Joined: 14 Oct 99
Posts: 5
Credit: 1,805,547
RAC: 2
United Kingdom
Message 841387 - Posted: 18 Dec 2008, 10:49:26 UTC - in response to Message 841144.  

Awesome, also now running fine. So with CUDA and say a Quad Core processor, should I now see more than 4 tasks processing simultaneously or will the GPU simply assist the current tasks?
ID: 841387 · Report as offensive
Alexboy456

Send message
Joined: 20 Oct 05
Posts: 21
Credit: 192,446
RAC: 0
United Kingdom
Message 841429 - Posted: 18 Dec 2008, 14:08:43 UTC

i am runnin gthis on a ,acbook pro in windows and all i get is that the task downloads and get a computation error on all tasks apart from astro pulse. any ideas
ID: 841429 · Report as offensive
1 · 2 · Next

Questions and Answers : GPU applications : CUDA & Seti - Finally!


 
©2024 University of California
 
SETI@home and Astropulse are funded by grants from the National Science Foundation, NASA, and donations from SETI@home volunteers. AstroPulse is funded in part by the NSF through grant AST-0307956.